<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://xmlns.jcp.org/jsf/html"
                xmlns:f="http://xmlns.jcp.org/jsf/core"
                xmlns:jsf="http://xmlns.jcp.org/jsf"
                xmlns:pt="http://xmlns.jcp.org/jsf/passthrough"
                template="./../plantilla-principal.xhtml">

    <ui:define name="contenido">
        <h:form id="form-menu" prependId="false" class="ui menu">
            <div class="borderless header item">
                <div style="font-size: 22px">
                    <i class="money bill alternate outline icon" />
                    Cobros por factura
                </div>
            </div>
            <div class="right menu">
                <div class="item">
                    Facturas
                    <div  class="ui teal label">
                        <h:outputText id="lblCantFact" value="#{cobroPorFacturaManBean.lstFacturasCobrar.size()}" />
                    </div>
                </div>
                <div class="ui category search calendar item #{cobroPorFacturaManBean.cobroRegistrado?'disabled':''}" id="calFechaCobro" >
                    <div style="width: 130px;" id="inputFechaCobro" class="ui input left icon" data-tooltip="Fecha de cobro" data-inverted="" data-position="bottom center">
                        <i class="calendar icon" />
                        <h:inputText id="in-fechacob" value="#{cobroPorFacturaManBean.strFechaCobro}" pt:placeholder="Fecha de cobro" />
                    </div>
                </div>
                <div class="ui right aligned category search item">
                    <div id="inputAgregarFactura" class="ui transparent icon input">
                        <h:inputText id="in-nrofactagregar" class="prompt" pt:placeholder="Número de factura..." value="#{cobroPorFacturaManBean.nroFacturaBuscar}" />
                        <i class="search icon"></i>
                    </div>
                    <h:commandLink id="cmlAgregarFactura" action="#{cobroPorFacturaManBean.agregarFactura()}" style="display: none;">
                        <f:ajax execute="in-nrofactagregar @this" render="form-facturas lblCantFact tipoMsg cabeceraMsg cuerpoMsg" onevent="function(data){ajaxAgregarFactura(data)}" />
                    </h:commandLink>
                </div>
                <div class="item">
                    <h:commandLink class="ui icon button" action="#{cobroPorFacturaManBean.limpiar()}" pt:data-tooltip="Limpiar" pt:data-inverted="" pt:data-position="bottom right">
                        <i class="erase icon" />
                        <f:ajax execute="@this" render="form-facturas form-menu tipoMsg cabeceraMsg cuerpoMsg" onevent="function(data){ajaxLimpiar(data)}" />
                    </h:commandLink>
                    <h:commandLink style="margin-left: 5px;" class="ui blue icon button #{cobroPorFacturaManBean.cobroRegistrado?'disabled':''}" action="#{cobroPorFacturaManBean.guardarCobros()}" pt:data-tooltip="Registrar cobros" pt:data-inverted="" pt:data-position="bottom right" onclick="return validar();" >
                        <i class="save icon" />
                        <f:ajax execute="@form" render="form-facturas form-menu tipoMsg cabeceraMsg cuerpoMsg" onevent="function(data){ajaxGuardarCobros(data)}" />
                    </h:commandLink>
                </div>
            </div>
        </h:form>

                <h:form prependId="false">
                    <div id="msg" class="ui hidden message">
                        <h:inputHidden id="tipoMsg" value="#{cobroPorFacturaManBean.tipoMsg}" />
                        <i class="close icon"></i>
                        <div class="header">
                            <h:outputText id="cabeceraMsg" value="#{cobroPorFacturaManBean.cabeceraMsg}" />
                        </div>
                        <h:outputText id="cuerpoMsg" value="#{cobroPorFacturaManBean.cuerpoMsg}" />
                    </div>
                </h:form>
                <h:form id="form-facturas" prependId="false">
                    <table class="ui blue table">
                        <thead>
                            <tr>
                                <th>Factura</th>
                                <th>Fecha</th>
                                <th>Cliente</th>
                                <th>CI/RUC</th>
                                <th>Cobrador</th>
                                <th class="right aligned">Monto</th>
                                <th class="collapsing"></th>
                            </tr>
                        </thead>
                        <tbody>
                            <ui:repeat value="#{cobroPorFacturaManBean.lstFacturasCobrar}" var="fact" varStatus="factStatus">
                                <tr class="#{cobroPorFacturaManBean.cobroRegistrado?'disabled':''}">
                                    <td>
                                        #{fact.talonarioFactura.codEstablecimiento}-<h:outputText value="#{fact.nroFactura}">
                                            <f:convertNumber pattern="0000000" />
                                        </h:outputText>
                                    </td>
                                    <td>
                                        <h:outputText value="#{fact.fecha}">
                                            <f:convertDateTime pattern="dd/MMM/yyyy" />
                                        </h:outputText>
                                    </td>
                                    <td>
                                        #{fact.cliente.razonSocial}
                                    </td>
                                    <td>
                                        <h:outputText value="#{fact.cliente.ci}">
                                            <f:convertNumber pattern="#,###,###,###" />
                                        </h:outputText>
                                        <h:outputText rendered="#{not empty fact.cliente &amp;&amp; not empty fact.cliente.dvRuc}" value="-" />
                                        <h:outputText rendered="#{not empty fact.cliente &amp;&amp; not empty fact.cliente.dvRuc}" value="#{fact.cliente.dvRuc}" />
                                    </td>
                                    <td>
                                        <h:outputText rendered="#{not empty fact.cliente.cobrador.nombres}" value="#{fact.cliente.cobrador.nombres}" />
                                        <h:outputText rendered="#{not empty fact.cliente.cobrador.apellidos}" value="#{fact.cliente.cobrador.apellidos}" />
                                    </td>
                                    <td class="right aligned">
                                        <h:outputText value="#{fact.total}">
                                            <f:convertNumber pattern="#,###,###,###" />
                                        </h:outputText>
                                    </td>
                                    <td>
                                        <h:commandLink action="#{cobroPorFacturaManBean.quitarFactura(factStatus.index)}" pt:data-tooltip="Quitar factura" pt:data-inverted="" pt:data-position="bottom right">
                                            <i class="red times circle icon" />
                                            <f:ajax execute="@this" render="@form lblCantFact" />
                                        </h:commandLink>
                                    </td>
                                </tr>
                            </ui:repeat>
                            <tr class="disabled center aligned" jsf:rendered="#{empty cobroPorFacturaManBean.lstFacturasCobrar}">
                                <td colspan="7">(Sin facturas)</td>
                            </tr>
                        </tbody>
                    </table>
                </h:form>


        <h:outputScript target="body" library="js" name="cobros/cobroporfactura.js" />
    </ui:define>

</ui:composition>
